/* ============================================================================
 * Copyright (c) Palo Alto Networks
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 * ========================================================================== */

import { createSlice } from "@reduxjs/toolkit";
// TODO: we might want to export this

const initialState = {};
export const slice = createSlice({
  name: "server",
  initialState,
  reducers: {
    setServer: (state, action) => {
      state.value = state.options.find(
        (s) => s.url === JSON.parse(action.payload).url
      );
    },
    setServerVariable: (state, action) => {
      if (state.value?.variables) {
        const parsedPayload = JSON.parse(action.payload);
        state.value.variables[parsedPayload.key].default = parsedPayload.value;
      }
    },
  },
});
export const { setServer, setServerVariable } = slice.actions;
export default slice.reducer;
