"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _fileSaver = _interopRequireDefault(require("file-saver"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
/* ============================================================================
 * Copyright (c) Palo Alto Networks
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 * ========================================================================== */

const saveFile = url => {
  let fileName;
  if (url.endsWith("json") || url.endsWith("yaml") || url.endsWith("yml")) {
    fileName = url.substring(url.lastIndexOf("/") + 1);
  }
  _fileSaver.default.saveAs(url, fileName ? fileName : "openapi.txt");
};
function Export({
  url,
  proxy
}) {
  return <div style={{
    float: "right"
  }} className="dropdown dropdown--hoverable dropdown--right">
      <button className="export-button button button--sm button--secondary">
        Export
      </button>
      <ul className="export-dropdown dropdown__menu">
        <li>
          <a onClick={e => {
          e.preventDefault();
          saveFile(`${url}`);
        }} className="dropdown__link" href={`${url}`}>
            OpenAPI Spec
          </a>
        </li>
      </ul>
    </div>;
}
var _default = Export;
exports.default = _default;