"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _stylesModule = _interopRequireDefault(require("./styles.module.css"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
/* ============================================================================
 * Copyright (c) Palo Alto Networks
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 * ========================================================================== */

function FormMultiSelect({
  value,
  options,
  onChange
}) {
  if (options.length === 0) {
    return null;
  }
  let height;
  if (options.length < 6) {
    const selectPadding = 12 * 2;
    const rawHeight = options.length * 29;
    const innerMargins = 4 * options.length - 1;
    const outerMargins = 4 * 2;
    const mysteryScroll = 1;
    height = rawHeight + innerMargins + outerMargins + selectPadding + mysteryScroll;
  }
  return <select style={{
    height: height
  }} className={_stylesModule.default.selectInput} value={value} onChange={onChange} size={Math.min(6, options.length + 1)} multiple>
      {options.map(option => {
      return <option key={option} value={option}>
            {option}
          </option>;
    })}
    </select>;
}
var _default = FormMultiSelect;
exports.default = _default;