"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _themeCommon = require("@docusaurus/theme-common");
var _useIsBrowser = _interopRequireDefault(require("@docusaurus/useIsBrowser"));
var _slice = require("@theme/ApiDemoPanel/Body/slice");
var _reactLive = require("react-live");
var _stylesModule = _interopRequireDefault(require("./styles.module.css"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
/* ============================================================================
 * Copyright (c) Palo Alto Networks
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 * ========================================================================== */

function Live({
  onEdit
}) {
  const isBrowser = (0, _useIsBrowser.default)();
  const [editorDisabled, setEditorDisabled] = (0, _react.useState)(false);

  // TODO: Temporary solution for disabling tab key
  const handleKeydown = event => {
    if (event.key === "Tab") {
      event.preventDefault();
      setEditorDisabled(true);
    }
  };
  return <div onClick={() => setEditorDisabled(false)}>
      <_reactLive.LiveEditor key={String(isBrowser)} className={_stylesModule.default.playgroundEditor} onChange={onEdit} disabled={editorDisabled} onKeyDown={handleKeydown} />
    </div>;
}
const LiveComponent = (0, _reactLive.withLive)(Live);
function App({
  children,
  transformCode,
  value,
  language,
  action,
  ...props
}) {
  const prismTheme = (0, _themeCommon.usePrismTheme)();
  const [code, setCode] = _react.default.useState(children);
  (0, _react.useEffect)(() => {
    action((0, _slice.setStringRawBody)(code));
  }, [action, code]);
  return <div className={_stylesModule.default.playgroundContainer}>
      <_reactLive.LiveProvider code={children.replace(/\n$/, "")} transformCode={transformCode !== null && transformCode !== void 0 ? transformCode : code => `${code};`} theme={prismTheme} language={language} {...props}>
        <LiveComponent onEdit={setCode} />
      </_reactLive.LiveProvider>
    </div>;
}
const LiveApp = (0, _reactLive.withLive)(App);
var _default = LiveApp;
exports.default = _default;