"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.slice = exports.setServerVariable = exports.setServer = exports.default = void 0;
var _toolkit = require("@reduxjs/toolkit");
/* ============================================================================
 * Copyright (c) Palo Alto Networks
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 * ========================================================================== */

const initialState = {};
const slice = (0, _toolkit.createSlice)({
  name: "server",
  initialState,
  reducers: {
    setServer: (state, action) => {
      state.value = state.options.find(s => s.url === JSON.parse(action.payload).url);
    },
    setServerVariable: (state, action) => {
      var _state$value;
      if ((_state$value = state.value) !== null && _state$value !== void 0 && _state$value.variables) {
        const parsedPayload = JSON.parse(action.payload);
        state.value.variables[parsedPayload.key].default = parsedPayload.value;
      }
    }
  }
});
exports.slice = slice;
const {
  setServer,
  setServerVariable
} = slice.actions;
exports.setServerVariable = setServerVariable;
exports.setServer = setServer;
var _default = slice.reducer;
exports.default = _default;